---
apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: web-egress
spec:
  endpointSelector:
    matchLabels:
      io.cilium.k8s.policy.serviceaccount: zabbix-web
  egress:
    - toEndpoints:
        - matchLabels:
            io.cilium.k8s.policy.serviceaccount: coredns
            io.kubernetes.pod.namespace: kube-system
      toPorts:
        - ports:
            - port: '53'
              protocol: ANY
          rules:
            dns:
              - matchPattern: '*'
    - toEndpoints:
        - matchLabels:
            io.cilium.k8s.policy.serviceaccount: postgresql
            io.kubernetes.pod.namespace: postgresql
      toPorts:
        - ports:
            - port: '5432'
              protocol: TCP
    - toEndpoints:
        - matchLabels:
            io.cilium.k8s.policy.serviceaccount: zabbix-server
      toPorts:
        - ports:
            - port: '10051'
              protocol: TCP
